OpenNMS API 1.2.9

## org.opennms.netmgt.vulnscand
Class NessusParser

    java.lang.Object
      org.opennms.netmgt.vulnscand.NessusParser

public class NessusParser
extends java.lang.Object

Field Summary
`private static org.apache.regexp.RE` `critical`
`private static org.apache.regexp.RE` `cveId`
`private static org.apache.regexp.RE` `cveString`
`private static java.lang.String` `GREATER_THAN_ENTITY`
`private static java.lang.String` `GREATER_THAN_TOKEN`
`private static org.apache.regexp.RE` `greaterThan`
`private static org.apache.regexp.RE` `greaterThanToken`
`private static org.apache.regexp.RE` `indeterminate`
`private static org.apache.regexp.RE` `informational`
`private static NessusParser` `instance`
`private static org.apache.regexp.RE` `leadingOrTrailingBreaks`
`private static java.lang.String` `LESS_THAN_ENTITY`
`private static java.lang.String` `LESS_THAN_TOKEN`
`private static org.apache.regexp.RE` `lessThan`
`private static org.apache.regexp.RE` `lessThanToken`
`private static org.apache.regexp.RE` `major`
`private static org.apache.regexp.RE` `minor`
`private static org.apache.regexp.RE` `multipleAsterisks`
`private static org.apache.regexp.RE` `nessusInside`
`private static org.apache.regexp.RE` `nessusLine`
`private static org.apache.regexp.RE` `nessusSentence`
`private static org.apache.regexp.RE` `nessusTag`
`private static org.apache.regexp.RE` `normal`
`private static org.apache.regexp.RE` `protocolWithoutPort`
`private static org.apache.regexp.RE` `protocolWithPort`
`private static org.apache.regexp.RE` `riskFactor`
`private static org.apache.regexp.RE` `semicolonMulti`
`private static org.apache.regexp.RE` `semicolonSingle`
`private static org.apache.regexp.RE` `tooManyBreaks`
`private static org.apache.regexp.RE` `warning`

Constructor Summary
`private` `NessusParser()`

Method Summary
`static DescrValues` `getDefaultDescrValues()`
`static PortValues` `getDefaultPortValues()`
`static NessusParser` `getInstance()`
`private void` `initREs()`
`static void` `main(java.lang.String[] argv)`
`DescrValues` `parseDescr(java.lang.String descr)`
`PortValues` `parsePort(java.lang.String portString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static NessusParser instance

### cveId

    private static org.apache.regexp.RE cveId

### cveString

    private static org.apache.regexp.RE cveString

### riskFactor

    private static org.apache.regexp.RE riskFactor

### semicolonSingle

    private static org.apache.regexp.RE semicolonSingle

### semicolonMulti

    private static org.apache.regexp.RE semicolonMulti

### multipleAsterisks

    private static org.apache.regexp.RE multipleAsterisks

### nessusLine

    private static org.apache.regexp.RE nessusLine

### nessusSentence

    private static org.apache.regexp.RE nessusSentence

### nessusTag

    private static org.apache.regexp.RE nessusTag

### nessusInside

    private static org.apache.regexp.RE nessusInside

### tooManyBreaks

    private static org.apache.regexp.RE tooManyBreaks

### leadingOrTrailingBreaks

    private static org.apache.regexp.RE leadingOrTrailingBreaks

### protocolWithPort

    private static org.apache.regexp.RE protocolWithPort

### protocolWithoutPort

    private static org.apache.regexp.RE protocolWithoutPort

### indeterminate

    private static org.apache.regexp.RE indeterminate

### informational

    private static org.apache.regexp.RE informational

### normal

    private static org.apache.regexp.RE normal

### warning

    private static org.apache.regexp.RE warning

### minor

    private static org.apache.regexp.RE minor

### critical

    private static org.apache.regexp.RE critical

### major

    private static org.apache.regexp.RE major

### greaterThan

    private static org.apache.regexp.RE greaterThan

### lessThan

    private static org.apache.regexp.RE lessThan

### greaterThanToken

    private static org.apache.regexp.RE greaterThanToken

### lessThanToken

    private static org.apache.regexp.RE lessThanToken

### GREATER_THAN_TOKEN

    private static final java.lang.String GREATER_THAN_TOKEN

See Also:
  Constant Field Values

### GREATER_THAN_ENTITY

    private static final java.lang.String GREATER_THAN_ENTITY

See Also:
  Constant Field Values

### LESS_THAN_TOKEN

    private static final java.lang.String LESS_THAN_TOKEN

See Also:
  Constant Field Values

### LESS_THAN_ENTITY

    private static final java.lang.String LESS_THAN_ENTITY

See Also:
  Constant Field Values

Constructor Detail

### NessusParser

    private NessusParser()

Method Detail

### initREs

    private void initREs()

### getInstance

    public static NessusParser getInstance()

### main

    public static void main(java.lang.String[] argv)

### parsePort

    public PortValues parsePort(java.lang.String portString)
                         throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### parseDescr

    public DescrValues parseDescr(java.lang.String descr)
                           throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getDefaultDescrValues

    public static DescrValues getDefaultDescrValues()

### getDefaultPortValues

    public static PortValues getDefaultPortValues()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.